Pular para o conteúdo principal
GET
/
v2
/
transactions
/
{id}
Get a Transaction
curl --request GET \
  --url https://api.pagou.ai/v2/transactions/{id} \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "requestId": "<string>",
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "amount": 50000050,
    "currency": "BRL",
    "buyer": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "email": "jsmith@example.com",
      "phone": "<string>",
      "birth_date": "<string>",
      "document": {
        "number": "<string>"
      },
      "address": {
        "street": "<string>",
        "city": "<string>",
        "country": "BR",
        "number": "<string>",
        "complement": "<string>",
        "neighborhood": "<string>",
        "state": "<string>",
        "zipCode": "<string>"
      }
    },
    "fee": {
      "net_amount": 50000000,
      "estimated_fee": 50000000
    },
    "informations": [
      {
        "key": "<string>",
        "value": "<string>"
      }
    ],
    "paid_amount": 50000000,
    "method": "pix",
    "refunded_amount": 50000000,
    "products": [
      {
        "name": "<string>",
        "price": 50000000,
        "quantity": 500000
      }
    ],
    "traceable": true,
    "splits": [
      {
        "recipient_id": 0,
        "amount": 50000000,
        "charge_processing_fee": true
      }
    ],
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "voucher": {
      "barcode": "<string>",
      "digitable_line": "<string>",
      "url": "<string>",
      "expiration_date": "2023-11-07T05:31:56Z",
      "instructions": "<string>",
      "receipt_url": "<string>"
    },
    "external_ref": "<string>",
    "installments": 6,
    "paid_at": "2023-11-07T05:31:56Z",
    "pix": {
      "qr_code": "<string>",
      "expiration_date": "2023-11-07T05:31:56Z",
      "end_to_end_id": "<string>",
      "receipt_url": "<string>"
    },
    "metadata": {},
    "ip_address": "127.0.0.1",
    "next_action": {
      "challenge_session_id": "<string>",
      "client_secret": "<string>",
      "expires_at": "2023-11-07T05:31:56Z"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://developer.pagou.ai/llms.txt

Use this file to discover all available pages before exploring further.

Use este endpoint para reconciliar transações voucher depois da criação ou entrega de webhook. A resposta mais recente pode incluir campos normalizados em voucher, como barcode, digitable_line, url, expiration_date, instructions e receipt_url. As instruções de voucher podem chegar de forma assíncrona em alguns provedores de pagamento. Se a resposta de criação retornar status: "pending" com campos de voucher vazios, use este endpoint para atualizar a tela do cliente e mantenha os webhooks como fonte de verdade para liberar o pedido.

Autorizações

Authorization
string
header
obrigatório

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Parâmetros de caminho

id
obrigatório
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Resposta

Success

success
boolean
obrigatório
requestId
string
obrigatório
data
object
obrigatório